# Get Token List

## GET /krc20/tokenlist

> Get the token list with details

```json
{"openapi":"3.0.0","info":{"title":"Kasplex KRC-20 API Documentation","version":"1.0.0"},"tags":[{"name":"Get-Token-List"}],"servers":[{"url":"https://tn10api.kasplex.org/v1","description":"Kasplex KRC-20 TN10 Testnet"},{"url":"https://api.kasplex.org/v1","description":"Kasplex KRC-20 Mainnet"}],"paths":{"/krc20/tokenlist":{"get":{"tags":["Get-Token-List"],"description":"Get the token list with details","parameters":[{"name":"next","in":"query","schema":{"type":"string"},"required":false,"description":"Cursor to start next page, returned by the last request."},{"name":"prev","in":"query","schema":{"type":"string"},"required":false,"description":"Cursor to start previous page, returned by the last request."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenList"}}}}}}}},"components":{"schemas":{"TokenList":{"type":"object","properties":{"message":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"},"result":{"type":"array","items":{"$ref":"#/components/schemas/TokenListResult"}}}},"TokenListResult":{"type":"object","description":"Token list, up to 50 items. If empty or less than 50, indicating the last page.","properties":{"tick":{"type":"string","description":"Token ticker in \"deploy-mint\" mode"},"ca":{"type":"string","description":"Token contract address in \"deploy-issue\" mode"},"name":{"type":"string","description":"Token name in \"deploy-issue\" mode"},"max":{"type":"string","description":"Maximum supply amount (with decimals)"},"lim":{"type":"string","description":"Mint limit per operation (with decimals)"},"pre":{"type":"string","description":"The number of tokens pre allocated to a particular address after deployment."},"to":{"type":"string","description":"Owner Address of the token"},"dec":{"type":"string","description":"Number of decimal places (0-18)"},"mod":{"type":"string","description":"Deployment mode of the token"},"minted":{"type":"string","description":"Total amount minted or issued (with decimals)"},"burned":{"type":"string","description":"Total amount burned (with decimals)"},"opScoreAdd":{"type":"string","description":"OP score when created"},"opScoreMod":{"type":"string","description":"OP score of latest modification"},"state":{"type":"string","description":"Status: deployed(can be minted), finished(fully minted), unused(can be deployed), ignored(can not be deployed), reserved(can be deployed by a specific address)"},"hashRev":{"type":"string","description":"Deployment transaction ID"},"mtsAdd":{"type":"string","description":"Timestamp at deployment"}}}}}}
```
